Skip to main content
GET
Get Access Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

expand
string[] | null

Fields to expand. Supported values: tasks, custom_fields.

Response

Successful Response

API version of DomainAppSupportRequest.

id
string
required

The ID of the access request.

app_id
string
required

The ID of the app the request is for.

app_name
string
required

The name of the app the request is for.

target_user
User · object
required

The user the request is for.

status
enum<string>
required

The current status of the request.

Available options:
PENDING,
PENDING_MANAGER_APPROVAL,
MANAGER_APPROVED,
MANAGER_DENIED,
PENDING_APPROVAL,
APPROVED,
DENIED,
EXPIRED,
CANCELLED,
PENDING_PROVISIONING,
PENDING_MANUAL_PROVISIONING,
DENIED_PROVISIONING,
PROVISIONED,
PENDING_DEPROVISIONING,
PENDING_MANUAL_DEPROVISIONING,
TIME_BASED_EXPIRED,
COMPLETED,
REVERTING,
REVERTED,
TIME_BASED_EXPIRED_FAILED,
TIME_BASED_EXPIRED_CANCELLED
requester_user
User · object | null

The user who requested access. It's possible for one user to request access on another's behalf. None for system-initiated requests, such as automated onboarding policies, that have no human requester.

supporter_user
User · object | null

The user supporting this request, if any. None if no supporter has been assigned.

notes
Notes · object

The reason the user wrote for putting the access request into the given state.

expires_at
string<date-time> | null
expiration_in_seconds
integer | null

For time-based access requests, the number of seconds after provisioning at which access should be removed. None for permanent requests.

requestable_permissions
RequestablePermissionOutput · object[] | null
requested_at
string<date-time> | null
tasks
Task · object[] | null
custom_fields
CustomIntakeFieldResponseOutput · object[] | null